Summary:	Simple game to connect squares
Name:		squaroid
Version:	0.60.3
Release:	9mdk
License:	GPL
Group:		Games/Strategy

Source0:	%name-%version.tar.bz2
Source1:	%{name}-gfx-0.2.tar.bz2
Source2:	%{name}-16x16.png
Source3:	%{name}-32x32.png
Source4:	%{name}-48x48.png
Patch0:		%{name}-0.60.3-gcc3.3.patch.bz2
Patch1:		%{name}-0.60.3-dont-check-for-devdsp.patch.bz2
Buildrequires:	libgtk+1.2-devel libimlib1-devel
Buildrequires:	libtermcap2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.squaroid.de/

%description
In Squaroid, you earn points by making squares -- that is, you put
your stones down on the board so that you've got one stone at each
corner of a square.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

cd squaroid-gfx-0.2/
%configure	--datadir=%{_gamesdatadir}


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
install -m755 irc-bot/squaroid-host.pl $RPM_BUILD_ROOT/%{_gamesbindir}

cd squaroid-gfx-0.2/
%makeinstall_std

install -m644 %{SOURCE2} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE3} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE4} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

install -d -m 0755 $RPM_BUILD_ROOT/%{_menudir}
cat > $RPM_BUILD_ROOT/%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_gamesbindir}/%{name}" \
title="Squaroid" \
longtitle="A game about making squares" \
icon="%{name}.png" \
needs="x11" \
section="Amusement/Strategy"
EOF
 
%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_gamesbindir/sq*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc irc-bot/README.host
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%_menudir/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Wed Sep 03 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.60.3-9mdk
- fix b0rked menu item

* Sun Aug 31 2003 Michael Scherer <scherer.michael@free.fr> 0.60.3-8mdk 
- one more BuildRequires ( libtermcap2-devel )

* Sat Aug 30 2003 Michael Scherer <scherer.michael@free.fr> 0.60.3-7mdk
- BuildRequires libimlib1-devel

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.60.3-6mdk
- fix gcc-3.3 build (P0)
- enable sound
- use %%configure macro
- move stuff to %%{_gamesdatadir} and %%{_gamesbindir}
- don't exit configure script if no /dev/dsp is found (P1) aka enable sound
- added icons

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.60.3-5mdk
- buildrequires

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.60.3-4mdk
- rebuild

* Wed Sep 26 2001 David BAUDENS <baudens@mandrakesoft.com> 0.60.3-3mdk
- Use default strategy icon for menu entry
- Make it works (aka download all needed sources)

* Tue Sep 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.60.3-2mdk
- rebuild

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.60.3-1mdk
- updated to 0.60.3

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-3mdk
- BM & macros

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-2mdk
- fix group
- fix files section

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.50

* Mon Sep 13 1999 Daouda LO <daouda@mandrakesoft.com>
- 0.45

* Sat Sep 11 1999 Daouda LO <daouda@mandrakesoft.com>
- 0.42

* Thu Sep 09 1999 Daouda LO <daouda@mandrakesoft.com>
- Mandrake adaptations
- make the package relocatable
